Name:           python-sonofman
Version:        3.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Bible multi languages, free, offline, no advertising, in English, French, Italian, Spanish, Portuguese for Terminal. Easy to use with quick searches, parables, articles, cross references, favorites, history

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/hotlittlewhitedog/BibleMultiTheSonOfMan
Source:         %{pypi_source sonofman}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sonofman' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sonofman
Summary:        %{summary}

%description -n python3-sonofman %_description


%prep
%autosetup -p1 -n sonofman-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sonofman -f %{pyproject_files}


%changelog
%autochangelog